# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(URI.pm) perl(URI/Encode.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_name URI-ws_Punix
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: URI for ws+unix
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AK/AKALINUX/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This class acts as a parser layer for URI, and adds support for handling the rare WebSocket URI using a "Unix Domain Socket.  The scheme expected is "ws+unix".  Since most modules don't understand this just yet, the fake scheme or $uri->set_false_scheme('ws') was added.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/U*

%changelog
* Mon Jan 14 2019 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- initial import by package builder

